Bug 878596 - Cannot delete a package in a new created Repositories
Cannot delete a package in a new created Repositories
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.5
All All
unspecified Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 877032
  Show dependency treegraph
 
Reported: 2012-11-20 13:22 EST by Larry O'Leary
Modified: 2014-10-30 10:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 877032
Environment:
Last Closed: 2014-10-30 10:05:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-11-20 13:22:03 EST
+++ This bug was initially created as a clone of JBoss ON Bug #877032 +++

Description of problem:
When Oracle is used as a backend database, attempt to delete newly created package in a repository fails with the following Exception:

Failed to delete packages: [I@7d7cec2f from repository: 10051 Error: javax.persistence.PersistenceException: org.hibernate.exception.SQLGrammarException: could not execute query

In the rhq-server-log4j.log file the following is logged:

2012-11-15 14:49:19,381 WARN  [org.hibernate.util.JDBCExceptionReporter] SQL Error: 920, SQLState: 42000
2012-11-15 14:49:19,382 ERROR [org.hibernate.util.JDBCExceptionReporter] ORA-00920: invalid relational operator


Version-Release number of selected component (if applicable):
JON 3.1.1
Oracle 

How reproducible:
always

Steps to Reproduce:
1. Navigate to Administration -> Content -> Repositories and create new repository;
2. In the new repository, create new package;
3. Attempt to delete newly created package;
  
Actual results:
Newly created package is not deleted with above Exception

Expected results:
Newly created package is successfully deleted.

Additional info:
Tested the same on Postgres - works fine.
Comment 1 Larry O'Leary 2014-10-30 10:05:22 EDT
Closing as per downstream comment: https://bugzilla.redhat.com/show_bug.cgi?id=877032#c2

> This seems to work fine with Oracle 11g, which is the minimum supported version for JON 3.3.
> 
> Tested both with RHQ 4.12.0-SNAPSHOT and JON 3.2.1.

Note You need to log in before you can comment on or make changes to this bug.